Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Babel » Babel Language Packs R0.12.1 are now available!
Babel Language Packs R0.12.1 are now available! [message #1526717] Wed, 24 December 2014 19:26 Go to next message
Kit Lo is currently offline Kit LoFriend
Messages: 120
Registered: July 2009
Senior Member
Babel Language Packs R0.12.1 was delayed due to the upgrade of the Babel server and a series of issues following that. All issues have now been resolved!

Babel Language Packs R0.12.1 for Luna, Kepler, and Juno release trains are now available! Translations in all languages for all projects in Babel up to 2014/12/23 are included in R0.12.1.

http://download.eclipse.org/technology/babel/babel_language_packs/R0.12.1/

We tested the Babel Language Packs in multiple languages on different operating system platforms. Translation completeness for each language may vary. All translated strings are displaying okay. No corrupted characters.

A few important notes for Babel Language Packs R0.12.1:
- Thanks to the translation contributions from the community, Babel Language Packs R0.12.1 now includes Babel Orion Language Packs for Luna and Babel Orion Language Packs for Kepler. See Installing A Plugin for instructions on how to install these Babel Orion language pack plugins.
- Babel Language Packs for older release trains can be found at Eclipse Babel Project Archived Downloads.

Thanks to all the Babel translators for the contributions! Enjoy the language packs!

Kit Lo
Eclipse Babel Project Lead
IBM Eclipse SDK (IES) Globalization Technical Lead
IBM Rational solution for Collaborative Lifecycle Management (CLM) Globalization Technical Lead

[Updated on: Wed, 24 December 2014 19:27]

Report message to a moderator

Re: Babel Language Packs R0.12.1 are now available! [message #1549502 is a reply to message #1526717] Tue, 06 January 2015 15:17 Go to previous messageGo to next message
Denis Roy is currently offline Denis RoyFriend
Messages: 449
Registered: October 2004
Location: Ottawa, Ontario, Canada
Senior Member

Thanks, Kit!

Denis Roy
Eclipse Webmaster -- webmaster@eclipse.org
Re: Babel Language Packs R0.12.1 are now available! [message #1694431 is a reply to message #1549502] Tue, 05 May 2015 09:30 Go to previous message
Shashibhushan Gokhale is currently offline Shashibhushan GokhaleFriend
Messages: 6
Registered: April 2015
Junior Member
Hello,

We have an Eclipse RCP based GUI application based on Eclipse SDK 3.7.2 and compiled using Java 7. We are migrating the code base to Java8. We are also migrating Eclipse version to 4.4.2 (Luna SR2) as Eclipse supports Java8 starting 4.4.

I built the language pack for German language using BabelLanguagePack-eclipse-de_4.4.0.v20141223043836.zip as well as Babel packages available for other products, but am not able to find localizations for some plugin jar files in the 4.4.2 packages that were present in 3.7.2 packages. I have listed them below:


Missing jar files in 4.4.2 Luna language packs (Babel project version R0.12.1 for Luna) that were present in 3.7.2 delta pack
org.eclipse.core.contenttype.nl_de*.jar
org.eclipse.core.expressions.nl_de*.jar
org.eclipse.core.jobs.nl_de*.jar
org.eclipse.core.runtime.nl_de*.jar
org.eclipse.equinox.app.nl_de*.jar
org.eclipse.equinox.common.nl_de*.jar
org.eclipse.equinox.preferences.nl_de*.jar
org.eclipse.equinox.registry.nl_de*.jar

org.eclipse.core.filesystem.hpux.ia64_32.nl_de_3.7.0.v20111128043401.jar
org.eclipse.core.runtime.compatibility.nl_de_3.7.0.v20111128043401.jar
org.eclipse.equinox.http.jetty.nl_de_3.7.0.v20111128043401.jar
org.eclipse.equinox.http.registry.nl_de_3.7.0.v20111128043401.jar
org.eclipse.equinox.http.servlet.nl_de_3.7.0.v20111128043401.jar
org.eclipse.equinox.jsp.jasper.nl_de_3.7.0.v20111128043401.jar
org.eclipse.equinox.jsp.jasper.registry.nl_de_3.7.0.v20111128043401.jar
org.eclipse.equinox.security.macosx.nl_de_3.7.0.v20111128043401.jar
org.eclipse.equinox.security.nl_de_3.7.0.v20111128043401.jar
org.eclipse.equinox.security.win32.x86.nl_de_3.7.0.v20111128043401.jar
org.eclipse.equinox.security.win32.x86_64.nl_de_3.7.0.v20111128043401.jar
org.eclipse.ui.carbon.nl_de_3.7.0.v20111128043401.jar

I saw the porting guides from 3.7 to 4.2, 4.2 to 4.3 as well as 4.3 to 4.4, but I could not locate any reference that above packages are unsupported.

How can I get translation/localization packages for above plugins?

Thanks,
Shashi

[Updated on: Tue, 05 May 2015 13:49]

Report message to a moderator

Previous Topic:Contribution of Copy / Paste in "Messages editor"
Next Topic:Missing Language Packages in Luna
Goto Forum:
  


Current Time: Wed Aug 22 05:45:11 GMT 2018

Powered by FUDForum. Page generated in 0.01752 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top